Hi,
I tried to achieve something like this by python. I have a number of curves(1) which are ending on another curve(2) and want to get the curves(1) connected by an arc which should be tangent to curve(2). Since there is nothing like circle TTT in Python, I have no idea how to solve that. Can someone help me out with this?
See also screenshot of before and after.
Thanks,
Detlef
@detlef_mueller, you might use Rhino.Geometry.Circle.TryFitCircleTTT
which can be found here.
c.
1 Like
Hi Clement,
thanks for this. IĀ“m not familiar with Rhino Common. So seams there is no solution in Python?
Detlef
Hi @detlef_mueller,
you can use RhinoCommon from within Python. Actually this is what all RhinoScript (rs) methods do. Below is one example to create the circle tangent to 3 curves. The first curve it asks for is the āmain curveā which is curve 2 in your example. Then it asks for two curves to trim and tries to create the circle. Make sure to select those two curves near the ends where the circle should go. It seems very tolerant about it
Detlef_CircleTTT.py (1.6 KB)
If you need a fully automated way and select / trim all pairs in one go, feel free to sent pm.
greetings,
c.
Hi Clement,
thanks very much, that helped a lot. What do you mean with send pm?
cheers,
Detlef
HI Detlef, iĀ“ll sent one.
c.